
From: Lennert Buytenhek <buytenh@marvell.com>
Subject: openais: fix 2-argument O_CREAT open call

Signed-off-by: Lennert Buytenhek <buytenh@marvell.com>

Index: SPECS/openais.spec
===================================================================
--- SPECS.orig/openais.spec
+++ SPECS/openais.spec
@@ -1,7 +1,7 @@
 Name: openais
 Summary: The openais Standards-Based Cluster Framework executive and APIs
 Version: 0.80.1
-Release: 6
+Release: 6.fa1
 License: BSD
 Group: System Environment/Base
 URL: http://developer.osdl.org/dev/openais/
@@ -22,8 +22,9 @@ Patch12: revision-1262.patch
 Patch13: revision-1263.patch
 Patch14: revision-1264.patch
 Patch15: revision-1265.patch
+Patch16: openais-0.80.1-open-modes.diff
 BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
-ExclusiveArch: i386 ppc x86_64 ppc64 ia64 s390 s390x
+ExclusiveArch: %{arm} i386 ppc x86_64 ppc64 ia64 s390 s390x
 Requires(pre): /usr/sbin/useradd
 Requires(post): /sbin/chkconfig
 Requires(preun): /sbin/chkconfig
@@ -61,6 +62,7 @@ openais APIs.
 %patch13
 %patch14
 %patch15
+%patch16 -p1
 
 %build
 # -O3 required for performance reasons
